Is DreamFactory 1.9 still supported?


#1

Hi,

I’m almost done with my application and am about to publish it for BETA testing to certain users. I started this application about 6 months ago and unfortunately I was not able to use v2.0.

Will there be a support to v1.9? Or should I move to v2.0? How much change would it be to migrate an application from 1.9 to 2.0? How much change do I need to make to my API calls?

Some changes I noticed are the return json response of the Rest APIs. It seems it uses “resource” instead of the previous “record”. Which is easy to change.

I haven’t tried the authentication yet. On v1.9, I am doing a POST on /user/session. Not sure how it works in v2.0 though. Hopefully the documentation will be released next week.

Appreciate your feedback.

Thanks,
Allen


#2

Hi Allen,

There will be no further development on 1.9. To help with changing to 2.0 we have some high level info on the wiki. I used these steps to upgrade my own apps from 1.9 to 2.0.

http://wiki.dreamfactory.com/DreamFactory/Tutorials/Upgrading_Your_App

If you encounter any problems feel free to reply to this thread and we’ll try to help.

Todd